Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.msoffice
Class MSOfficeMetadataLexicon

    java.lang.Object
      org.modeshape.sequencer.msoffice.MSOfficeMetadataLexicon

    @Immutable
    public class MSOfficeMetadataLexicon

extends Object

A lexicon of names used within the MS Office sequencer.

Nested Class Summary
`static class` | `MSOfficeMetadataLexicon.Namespace`

Field Summary
`static Name` | `AUTHOR`
`static Name` | `CHARACTERS`
`static Name` | `COMMENT`
`static Name` | `CREATED`
`static Name` | `CREATING_APPLICATION`
`static Name` | `FULL_CONTENT`
`static Name` | `HEADING_LEVEL`
`static Name` | `HEADING_NAME`
`static Name` | `HEADING_NODE`
`static Name` | `KEYWORDS`
`static Name` | `LAST_PRINTED`
`static Name` | `LAST_SAVED`
`static Name` | `METADATA_NODE`
`static Name` | `NOTES`
`static Name` | `PAGES`
`static Name` | `REVISION`
`static Name` | `SAVED`
`static Name` | `SHEET_NAME`
`static Name` | `SLIDE`
`static Name` | `SUBJECT`
`static Name` | `TEMPLATE`
`static Name` | `TEXT`
`static Name` | `THUMBNAIL`
`static Name` | `TITLE`
`static Name` | `TOTAL_EDITING_TIME`
`static Name` | `WORDS`

Constructor Summary
`MSOfficeMetadataLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METADATA_NODE

    public static final Name METADATA_NODE

### TITLE

    public static final Name TITLE

### SUBJECT

    public static final Name SUBJECT

### AUTHOR

    public static final Name AUTHOR

### KEYWORDS

    public static final Name KEYWORDS

### COMMENT

    public static final Name COMMENT

### TEMPLATE

    public static final Name TEMPLATE

### LAST_SAVED

    public static final Name LAST_SAVED

### REVISION

    public static final Name REVISION

### TOTAL_EDITING_TIME

    public static final Name TOTAL_EDITING_TIME

### LAST_PRINTED

    public static final Name LAST_PRINTED

### CREATED

    public static final Name CREATED

### SAVED

    public static final Name SAVED

### PAGES

    public static final Name PAGES

### WORDS

    public static final Name WORDS

### CHARACTERS

    public static final Name CHARACTERS

### CREATING_APPLICATION

    public static final Name CREATING_APPLICATION

### THUMBNAIL

    public static final Name THUMBNAIL

### SLIDE

    public static final Name SLIDE

### TEXT

    public static final Name TEXT

### NOTES

    public static final Name NOTES

### FULL_CONTENT

    public static final Name FULL_CONTENT

### SHEET_NAME

    public static final Name SHEET_NAME

### HEADING_NODE

    public static final Name HEADING_NODE

### HEADING_NAME

    public static final Name HEADING_NAME

### HEADING_LEVEL

    public static final Name HEADING_LEVEL

Constructor Detail

### MSOfficeMetadataLexicon

    public MSOfficeMetadataLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.